summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Ronny Schmatzler <schmatzler@hirnschwund.net>2014-04-26 13:02:48 +0700
committer Erik Hanson <erik@slackbuilds.org>2014-04-27 12:18:16 -0500
commit2b92bb2d3968aac036bdf9cc536cdec4ea6f9499 (patch)
tree131ff98d264061ed49b5b3a36c2dfb1a86ceccb3 /network
parent64e5e485ed140c6bed32b508940e6e6a6c9c78c8 (diff)
downloadslackbuilds-2b92bb2d3968aac036bdf9cc536cdec4ea6f9499.tar.gz
slackbuilds-2b92bb2d3968aac036bdf9cc536cdec4ea6f9499.tar.xz
network/pidgin-opensteamworks: Added (Pidgin plugin).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/pidgin-opensteamworks/README3
-rw-r--r--network/pidgin-opensteamworks/pidgin-opensteamworks.SlackBuild71
-rw-r--r--network/pidgin-opensteamworks/pidgin-opensteamworks.info10
-rw-r--r--network/pidgin-opensteamworks/slack-desc19
4 files changed, 103 insertions, 0 deletions
diff --git a/network/pidgin-opensteamworks/README b/network/pidgin-opensteamworks/README
new file mode 100644
index 0000000000..9c0e9b3e12
--- /dev/null
+++ b/network/pidgin-opensteamworks/README
@@ -0,0 +1,3 @@
+A plugin to connect to Steam Friends/Steam IM. The plugin will
+connect to Steam without Steam running via the Steam mobile API
+and thus works on Linux and OSX.
diff --git a/network/pidgin-opensteamworks/pidgin-opensteamworks.SlackBuild b/network/pidgin-opensteamworks/pidgin-opensteamworks.SlackBuild
new file mode 100644
index 0000000000..aee6ce65c3
--- /dev/null
+++ b/network/pidgin-opensteamworks/pidgin-opensteamworks.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for pidgin-nudge
+
+# Written by Ronny Schmatzler <schmatzler@hirnschwund.net>
+
+# Based on http://slackbuilds.org/template.SlackBuild
+
+PRGNAM=pidgin-opensteamworks
+VERSION=${VERSION:-1.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION/
+tar xvjf $CWD/steam-mobile-$VERSION.tar.bz2
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/purple-2/
+cp libsteam.so $PKG/usr/lib${LIBDIRSUFFIX}/purple-2/
+
+mkdir -p $PKG/usr/share/pixmaps/pidgin/protocols
+unzip $CWD/icons.zip -d $PKG/usr/share/pixmaps/pidgin/protocols
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/pidgin-opensteamworks/pidgin-opensteamworks.info b/network/pidgin-opensteamworks/pidgin-opensteamworks.info
new file mode 100644
index 0000000000..593cd37e0f
--- /dev/null
+++ b/network/pidgin-opensteamworks/pidgin-opensteamworks.info
@@ -0,0 +1,10 @@
+PRGNAM="pidgin-opensteamworks"
+VERSION="1.4"
+HOMEPAGE="http://code.google.com/p/pidgin-opensteamworks/"
+DOWNLOAD="http://pidgin-opensteamworks.googlecode.com/svn/trunk/steam-mobile/releases/steam-mobile-1.4.tar.bz2"
+MD5SUM="aeee44d9e5f231d74bbd306ad0556947"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="json-glib"
+MAINTAINER="Ronny Schmatzler"
+EMAIL="schmatzler@hirnschwund.net"
diff --git a/network/pidgin-opensteamworks/slack-desc b/network/pidgin-opensteamworks/slack-desc
new file mode 100644
index 0000000000..d11ede6515
--- /dev/null
+++ b/network/pidgin-opensteamworks/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pidgin-opensteamworks: pidgin-opensteamworks (Steam Friends plugin for Pidgin)
+pidgin-opensteamworks:
+pidgin-opensteamworks: A plugin to connect to Steam Friends/Steam IM. The plugin will
+pidgin-opensteamworks: connect to Steam without Steam running via the Steam mobile API
+pidgin-opensteamworks: and thus works on Linux and OSX.
+pidgin-opensteamworks:
+pidgin-opensteamworks:
+pidgin-opensteamworks:
+pidgin-opensteamworks:
+pidgin-opensteamworks: Home: http://code.google.com/p/pidgin-opensteamworks/
+pidgin-opensteamworks: